| Home | Libraries | People | FAQ | More

##### row_view::operator==

Equality operator.

###### Synopsis

    bool
    operator==(
        const row_view& lhs,
        const row_view& rhs) noexcept;

###### Description

The containers are considered equal if they have the same number of elements and they all compare equal, as defined by `field_view::operator==`.

###### Exception safety

No-throw guarantee.

###### Complexity

Linear in `lhs.size()` and `rhs.size()`.

Convenience header `<boost/mysql.hpp>`